### Method

# Ide EnvironmentVariable set_key

#### Declaration

    void
    ide_environment_variable_set_key (
      IdeEnvironmentVariable* self,
      const gchar* key
    )

#### Description

No description available.

Sets property | `Ide.EnvironmentVariable:key`

#### Parameters

`key` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.